package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * cm_shop_order
 *
 * @author
 */
@Data
public class CmShopOrderPo implements Serializable {
    /**
     * 子订单ID
     */
    private Integer shopOrderID;

    /**
     * 子订单编号
     */
    private String shopOrderNo;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 主订单ID
     */
    private Long orderID;

    /**
     * 采美组织默认为null,具体对应cm_mall_organize表ID
     */
    private Integer organizeID;

    /**
     * 用户Id
     */
    private Integer userID;

    /**
     * 供应商Id
     */
    private Integer shopID;

    /**
     * 订单促销id(主要针对店铺促销)
     */
    private Integer orderPromotionsId;

    /**
     * 普通订单 1 协销订单0 与cm_order一样
     */
    private Integer orderType;

    /**
     * 0:个人自己下单 1:企业自己下单 2:员工帮会所下单 3:协销帮会所下单  4:后台下单 5:采美豆订单
     */
    private Integer orderSubmitType;

    /**
     * 赠品数
     */
    private Integer presentNum;

    /**
     * 购买数量
     */
    private Integer itemCount;

    /**
     * 已经发货的商品数量
     */
    private Integer outStoreNum;

    /**
     * 子订单发货批次 默认值 = 0 即没过发货
     */
    private Integer outStoreTimes;

    /**
     * 收货地址县区Id
     */
    private Integer townID;

    /**
     * 子订单备注信息
     */
    private String note;

    /**
     * 运费：-1到付，0包邮，其他为具体运费(v5.0版本已废弃,运费已使用商品形式存储)
     */
    private Double fee;

    /**
     * 余额支付时使用的金额
     */
    private BigDecimal accountAmount;

    /**
     * 总金额 = 订单商品totalAmount
     */
    private BigDecimal productAmount;

    /**
     * 总价 = totalFee
     */
    private BigDecimal totalAmount;

    /**
     * 需要支付金额 shouldPayFee +运费
     */
    private BigDecimal needPayAmount;

    private BigDecimal discountAmount;

    /**
     * 经理折扣(v5.0版本已废弃,经理折扣只和主订单有关)
     */
    private BigDecimal discountFee;

    /**
     * 订单总优惠
     */
    private BigDecimal preferential;

    /**
     * 促销满减优惠(不考虑凑单促销)
     */
    private BigDecimal promotionFullReduction;

    /**
     * 是否已支付：1是，0否
     */
    private String payFlag;

    /**
     * 订单提交时间
     */
    private String orderTime;

    /**
     * 支付时间
     */
    private String payTime;

    /**
     * 订单完成时间
     */
    private String finishTime;

    /**
     * 订单彻底完成时间 不能售后 毫秒
     */
    private Long autoOverTimeMills;

    /**
     * 订单状态：见表c_orderstatus或枚举OrderStatus(v5.0版本已废弃只有主订单状态)
     */
    private Integer status;

    /**
     * (付款供应商)付款状态：1待付款、2部分付款、3已付款
     */
    private String payStatus;

    /**
     * 发货状态：1待发货、2部分发货、3已发货
     */
    private String sendOutStatus;

    private Integer refundStatus;

    private Integer returnGoodsStatus;

    /**
     * 收货时间
     */
    private String receiveGoodsTime;

    /**
     * 自动收货时间点 毫秒计算
     */
    private Long autoReceiveTimeMills;

    /**
     * 总税费
     */
    private BigDecimal totalAddedValueTax;

    /**
     * 可退款金额 = 余额抵扣金额
     */
    private Double canRefundAmount;

    /**
     * 退款金额
     */
    private Double refundAmount;

    private Integer clubID;

    private Integer spID;

    private Integer mainSpID;

    /**
     * 订单采美豆个数
     */
    private Integer orderBeanAmount;

    /**
     * 使用采美豆数量
     */
    private Integer useBeanAmount;

    /**
     * 是否使用采美豆
     */
    private Integer useBeanFlag;

    /**
     * 是否可以退货 1可以退款/退货 0不可退款/退货
     */
    private Integer canRefundFlag;

    /**
     * 是否使用余额
     */
    private Integer useBalanceFlag;

    /**
     * 可以退还的采美豆个数
     */
    private Integer canRefundBeans;

    /**
     * 订单包邮时本该支付的运费
     */
    private BigDecimal freePostageFee;

    /**
     * 使用的包邮券Id，为空表示未使用包邮券  保留
     */
    private Integer freePostageTicketID;

    /**
     * 佣金 =  应付采美
     */
    private BigDecimal brokerage;

    /**
     * 后台删除状态 0正常，其他删除
     */
    private String delFlag;

    /**
     * 订单退款金额
     */
    private BigDecimal refundsAmount;

    /**
     * 订单状态标识，1:非退货退款订单、2：退货退款中、3退货退款完成
     */
    private String orderStatusFlag;

    /**
     * 购买状态
     */
    private String buyStatus;

    /**
     * 全部发货时间
     */
    private String deliveryTimeMills;

    private Integer orderDeliveryID;

    /**
     * 订单能否拆分 1 为可拆分, 0为不可拆分
     */
    private String splitFlag;

    /**
     * 是否处于给供应商状态中   0不是的,  1是的
     */
    private String paying;

    /**
     * 商品费
     */
    private BigDecimal shopProductAmount;

    /**
     * 运费
     */
    private BigDecimal shopPostFee;

    /**
     * 税费
     */
    private BigDecimal shopTaxFee;

    /**
     * 付供应商 = 商品费 + 运费 + 税费
     */
    private BigDecimal shouldPayShopAmount;

    /**
     * 已付款金额
     */
    private BigDecimal payedShopAmount;

    /**
     * 付第三方
     */
    private BigDecimal shopOtherFee;

    private String receiptedFlag;

    private String receiptedType;

    /**
     * 固定成本1,  比例成本2  为空就是还没有设置过
     */
    private String costType;

    /**
     * 比例成本的比例值
     */
    private BigDecimal proportional;

    /**
     * 修改应付必填备注信息
     */
    private String modifyShouldPayNote;

    /**
     * 修改应付金额的用户ID
     */
    private Long modifyShouldPayUserID;

    /**
     * 修改应付金额的时间
     */
    private Date modifyShouldPayDate;

    /**
     * 子订单0成本标识：0子订单不是0成本，1子订单0成本（子订单中所有商品成本为0）
     */
    private Integer zeroCostFlag;

    private static final long serialVersionUID = 1L;
}