package com.caimei.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/29
 */
@Data
public class LogisticsInformationVo implements Serializable {
    /**
     * 发货批次表ID
     */
    private Long logisticsBatchId;

    /**
     * 子订单编号
     */
    private Long shopOrderId;

    /**
     * 订单商品ID
     */
    private Long orderProductId;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 快递单号
     */
    private String nu;

    /**
     * 快递单当前的状态（0：在途，即货物处于运输过程中；1：揽件，货物已由快递公司揽收并且产生了第一条跟踪信息；2：疑难，货物寄送过程出了问题；3：签收，收件人已签收；4：退签，即货物由于用户拒签、超区等原因退回，而且发件人已经签收；5：派件，即快递正在进行同城派件；6：退回，货物正处于退回发件人的途中；）
     */
    private String state;

    /**
     * 物流跟踪信息
     */
    private String info;

    /**
     * 物流公司名称
     */
    private String logisticsCompanyName;

    /**
     * 物流公司代码
     */
    private String logisticsCompanyCode;

    /**
     * 供应商ID
     */
    private Long shopId;

    /**
     * 最后更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateDate;

    /**
     * 备注
     */
    private String remarks;

    /**
     * json转换物流追踪信息
     */
    private List<RouterVo> routerList;

    private static final long serialVersionUID = 1L;
}
