package com.caimei.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/26
 */
@Data
public class ShopOrderVo implements Serializable {
    /**
     * 子订单ID
     */
    private Integer shopOrderId;

    /**
     * 子订单编号
     */
    private String shopOrderNo;

    /**
     * 主订单ID
     */
    private Long orderId;

    /**
     * 用户Id
     */
    private Integer userId;

    /**
     * 供应商Id
     */
    private Integer shopId;

    /**
     * 购买数量
     */
    private Integer itemCount;

    /**
     * 已经发货的商品数量
     */
    private Integer outStoreNum;

    /**
     * 收货地址县区Id
     */
    private Integer townID;

    /**
     * 子订单备注信息
     */
    private String note;

    /**
     * 运费：-1到付，0包邮，其他为具体运费(v5.0版本已废弃,运费已使用商品形式存储)
     */
    private Double fee;

    /**
     * 余额支付时使用的金额
     */
    private BigDecimal accountAmount;

    /**
     * 总金额 = 订单商品totalAmount
     */
    private BigDecimal productAmount;

    /**
     * 总价 = totalFee
     */
    private BigDecimal totalAmount;

    /**
     * 需要支付金额 shouldPayFee +运费
     */
    private BigDecimal needPayAmount;

    private BigDecimal discountAmount;

    /**
     * 订单总优惠
     */
    private BigDecimal preferential;

    /**
     * 是否已支付：1是，0否
     */
    private String payFlag;

    /**
     * 订单提交时间
     */
    private String orderTime;

    /**
     * 支付时间
     */
    private String payTime;

    /**
     * 订单完成时间
     */
    private String finishTime;

    /**
     * (付款供应商)付款状态：1待付款、2部分付款、3已付款
     */
    private String payStatus;

    /**
     * 发货状态：1待发货、2部分发货、3已发货
     */
    private String sendOutStatus;

    private Integer refundStatus;

    private Integer returnGoodsStatus;

    /**
     * 收货时间
     */
    private String receiveGoodsTime;

    /**
     * 总税费
     */
    private BigDecimal totalAddedValueTax;

    /**
     * 可退款金额 = 余额抵扣金额
     */
    private Double canRefundAmount;

    /**
     * 退款金额
     */
    private Double refundAmount;

    private Integer clubID;

    /**
     * 是否可以退货 1可以退款/退货 0不可退款/退货
     */
    private Integer canRefundFlag;

    /**
     * 是否使用余额
     */
    private Integer useBalanceFlag;

    /**
     * 订单包邮时本该支付的运费
     */
    private BigDecimal freePostageFee;

    /**
     * 佣金 =  应付采美
     */
    private BigDecimal brokerage;

    /**
     * 后台删除状态 0正常，其他删除
     */
    private String delFlag;

    /**
     * 订单退款金额
     */
    private BigDecimal refundsAmount;

    /**
     * 订单状态标识，1:非退货退款订单、2：退货退款中、3退货退款完成
     */
    private String orderStatusFlag;

    /**
     * 购买状态
     */
    private String buyStatus;

    /**
     * 全部发货时间
     */
    private String deliveryTimeMills;

    private Integer orderDeliveryID;

    /**
     * 是否处于给供应商状态中   0不是的,  1是的
     */
    private String paying;

    /**
     * 商品费
     */
    private BigDecimal shopProductAmount;

    /**
     * 运费
     */
    private BigDecimal shopPostFee;

    /**
     * 税费
     */
    private BigDecimal shopTaxFee;

    /**
     * 付供应商 = 商品费 + 运费 + 税费
     */
    private BigDecimal shouldPayShopAmount;

    /**
     * 已付款金额
     */
    private BigDecimal payedShopAmount;

    /**
     * 固定成本1,  比例成本2  为空就是还没有设置过
     */
    private String costType;

    /**
     * 比例成本的比例值
     */
    private BigDecimal proportional;

    /**
     * 子订单0成本标识：0子订单不是0成本，1子订单0成本（子订单中所有商品成本为0）
     */
    private Integer zeroCostFlag;

    /**
     * 供应商logo
     */
    private String shopLogo;

    /**
     * 供应商名称
     */
    private String shopName;

    private List<OrderProductVo> orderProductList;

    /**
     * 发货物流记录
     */
    private List<LogisticsRecordVo> logisticsRecordList;

    private static final long serialVersionUID = 1L;
}
