CREATE TABLE `cm_hehe_user`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `userId` INT NULL   COMMENT '对应user表用户id',
  `name` VARCHAR(30) COMMENT '姓名',
  `mobile` VARCHAR(20) COMMENT '手机号',
  `userIdentity` CHAR(2) COMMENT '用户身份:1普通用户,2分销者',
  `nickName` VARCHAR(32) COMMENT '微信昵称',
  `headImgUrl` TEXT NULL   COMMENT '头像',
  `openId` VARCHAR(32) COMMENT '微信openid',
  `addTime` DATETIME COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城用户表';

CREATE TABLE `cm_hehe_product`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `productId` INT COMMENT '对应采美商品id',
  `sort` INT COMMENT '排序值',
  `recommend` CHAR(2) COMMENT '是否为推荐商品(0 没推荐,1 推荐商品)',
  `validFlag` CHAR(2) COMMENT '上架状态:1上架,2下架',
  `price` DECIMAL(11,2) COMMENT '售价',
  `includedTax` CHAR(2) COMMENT '是否含税 0不含税，1含税',
  `invoiceType` CHAR(2) COMMENT '发票类型(基于是否含税基础) 1增值税专用发票，2增值税普通发票, 3不能开票',
  `clubTaxPoint` DECIMAL(11,2) COMMENT '机构税率 :增值税默认13%，普通票6%取值范围[0-100]',
  `shopTaxPoint` DECIMAL(11,2) COMMENT '供应商税率:增值专用发票默认13%，增值税普通发票6%取值范围[0-100]',
  `addTime` DATETIME COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城商品表';

CREATE TABLE `cm_hehe_image`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `topic` VARCHAR(50) COMMENT '主题',
  `image` TEXT COMMENT '图片',
  `sort` INT COMMENT '排序值',
  `status` CHAR(1) COMMENT '小程序状态:1启用,2停用',
  `addTime` DATETIME COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城轮播图表';

CREATE TABLE `cm_hehe_activity`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(50) COMMENT '活动名称',
  `status` CHAR(1) COMMENT '小程序状态:1启用,2停用',
  `listImage` TEXT COMMENT '小程序列表缩略图',
  `detailsImage` TEXT COMMENT '小程序详情主题图',
  `beginTime` DATETIME COMMENT '开始时间',
  `endTime` DATETIME COMMENT '结束时间',
  `addTime` DATETIME COMMENT '创建时间',
  `delFlag` CHAR(1) COMMENT '删除标识：0未删除，1已删除',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城活动表';

CREATE TABLE `cm_hehe_activity_product`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `activityId` INT COMMENT '呵呵活动id',
  `productId` INT COMMENT '对应采美商品id',
  `addTime` DATETIME COMMENT '添加时间',
  `delFlag` CHAR(1) COMMENT '删除标识：0未删除，1已删除',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城活动商品表';

CREATE TABLE `cm_hehe_activity_ladder`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `activityId` INT COMMENT '活动id',
  `productId` INT COMMENT '对应采美商品id',
  `ladderNum` INT COMMENT '第几阶梯',
  `buyNum` INT COMMENT '购买数量',
  `buyPrice` DECIMAL(10,2) COMMENT '购买价格',
  `createDate` DATETIME COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵商城活动阶梯表';

ALTER TABLE `user`
  CHANGE `userPermission` `userPermission` INT DEFAULT 0  NULL   COMMENT '用户权限 0游客 1 普通用户 2 会员机构 3 供应商 4 协销 5 普通机构 6 呵呵商城用户【V6.2.0版本后0和1不存在】',
  CHANGE `userIdentity` `userIdentity` INT DEFAULT 0  NULL   COMMENT '用户身份 0、个人 1、协销 2、会员机构 3、供应商 4.普通机构 6、呵呵商城用户【V6.2.0版本后0不存在】',
  CHANGE `registerUserTypeID` `registerUserTypeID` INT NULL   COMMENT '见枚举UserType(1供应商,2协销经理,32协销,3会员机构,4普通机构,6呵呵商城)';

CREATE TABLE `cm_hehe_user_activity`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `userId` INT COMMENT '用户id',
  `activityId` INT COMMENT '活动id',
  `productId` INT COMMENT '商品id',
  `sort` INT COMMENT '排序值',
  `addTime` DATETIME NULL COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4
COMMENT='呵呵分销用户活动商品表';

ALTER TABLE `cm_order`
  CHANGE `orderType` `orderType` INT NULL   COMMENT '订单类型 0协销订单、 1普通订单、 2呵呵订单';

ALTER TABLE `cm_cart`
  ADD COLUMN `heUserId` INT NULL  COMMENT '呵呵分销者userId' AFTER `reBuyFlag`;

ALTER TABLE `cm_order_product`
  ADD COLUMN `heUserId` INT NULL   COMMENT '分销者id(呵呵商城订单使用)' AFTER `cancelNum`;
